summaryrefslogtreecommitdiff
path: root/dev-python/jwcrypto
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-10 01:41:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-10 01:41:37 +0000
commitc4a445bb27dec293afdaa6aef479b3ad3880dc48 (patch)
tree9dc93a05e77ca8f793c65169279935678f990863 /dev-python/jwcrypto
parent01b0a2ba61e2c0c372c48bee0e85a618ce29f205 (diff)
downloadbaldeagleos-repo-c4a445bb27dec293afdaa6aef479b3ad3880dc48.tar.gz
baldeagleos-repo-c4a445bb27dec293afdaa6aef479b3ad3880dc48.tar.xz
baldeagleos-repo-c4a445bb27dec293afdaa6aef479b3ad3880dc48.zip
Adding metadata
Diffstat (limited to 'dev-python/jwcrypto')
-rw-r--r--dev-python/jwcrypto/Manifest1
-rw-r--r--dev-python/jwcrypto/jwcrypto-0.9.1.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/jwcrypto/Manifest b/dev-python/jwcrypto/Manifest
index bc58a0cf8890..4ad2c6f67f94 100644
--- a/dev-python/jwcrypto/Manifest
+++ b/dev-python/jwcrypto/Manifest
@@ -1,2 +1,3 @@
DIST jwcrypto-0.8.0.tar.gz 81782 BLAKE2B a3cfb04f099a747c365f870c53d75574cdfaf8b98373f37cc107ebca956b414b7d7cb78f8fcd6d3964528d3bc8a217e5c645bf6e82531e951dfdd9ca03472111 SHA512 784134d27ff7abd31e1069763969513ed45f81fd2c242b7ff7036413c35ef374d535eae0123f5561a8e4eb2630cee40056d1c66454288e1310c4cbedecaac210
DIST jwcrypto-0.9.0.tar.gz 83891 BLAKE2B 873f6764d13ea80e8c4e1709fcf4e2a70cb59834521154b35cb94a51ce5cbfa7f4e2d079a3c096b013eef6f3a6adc4935cd3416b22f20b9edce01e95dc1910fb SHA512 6a2670aad8a3db926c4a6e54a62f3b698b717a8bc1726ba8f13e2415f574202e205cab76c79564280dcb2b3b4002a7c03c172d20761c70f76dc007a1ae26dad5
+DIST jwcrypto-0.9.1.tar.gz 86363 BLAKE2B d5920b9471870855bc131c171dc5515cc23fb9b94c38b33ce4894bcbe6fb5d0fa87e8b88f6470b8d1c1a1bc158d0dd09f51ace50baab03c8a8df59adc6e7e11d SHA512 245221d5e570918c1db9abdad72a0b03fb3fbdbb4db46ece441cbd75d43246b1b35bfd75e20718b8fa125bcaa85088cd776a7c204dd68e51e63818ae438848eb
diff --git a/dev-python/jwcrypto/jwcrypto-0.9.1.ebuild b/dev-python/jwcrypto/jwcrypto-0.9.1.ebuild
new file mode 100644
index 000000000000..123a042dce7f
--- /dev/null
+++ b/dev-python/jwcrypto/jwcrypto-0.9.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Implements JWK,JWS,JWE specifications using python-cryptography"
+
+HOMEPAGE="https://github.com/latchset/jwcrypto"
+SRC_URI="
+ https://github.com/latchset/jwcrypto/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not install doc in non-standard paths
+ sed -i "\|data_files = \[('share/doc/jwcrypto|d" setup.py || die
+ distutils-r1_python_prepare_all
+}